package pwc.taxtech.atms.common.schedule;

import com.alibaba.fastjson.JSON;
import com.google.common.collect.Lists;
import org.apache.commons.lang3.StringUtils;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.SchedulerException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;
import org.springframework.scheduling.quartz.SchedulerFactoryBean;
import pwc.taxtech.atms.dao.EnterpriseAccountMapper;
import pwc.taxtech.atms.dao.EnterpriseAccountSetOrgMapper;
import pwc.taxtech.atms.dao.OrganizationMapper;
import pwc.taxtech.atms.dao.UserMapper;
import pwc.taxtech.atms.entity.*;

import java.util.List;

public class LgGlBalanceJob extends QuartzJobBean {
    private static final Logger LOGGER = LoggerFactory.getLogger(LgGlBalanceJob.class);
    public static final String ORG_ID = "org_id";
    public static final String PERIOD = "period";

    @Autowired
    private EnterpriseAccountMapper accountMapper;
    @Autowired
    private OrganizationMapper orgMapper;
    @Autowired
    private EnterpriseAccountSetOrgMapper setOrgMapper;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        JobDataMap dataMap = jobExecutionContext.getJobDetail().getJobDataMap();
        String orgId = dataMap.getString(ORG_ID);
        String period = dataMap.getString(PERIOD);
        List<Organization> orgList;
        if (StringUtils.isBlank(orgId)) {
            orgList = orgMapper.selectByExample(null);
        } else {
            orgList = Lists.newArrayList(orgMapper.selectByPrimaryKey(orgId));
        }
        for (Organization organization : orgList) {
            try {

            } catch (Exception e) {
                LOGGER.error("LgGlBalanceJob error. Organization: " + organization.getId(), e);
            }
        }
    }
}
