package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.thirdparty.ExcelCell;

import java.io.Serializable;

public class InputInvoiceExportDto implements Serializable {

    @ExcelCell(index=6)
    private int periodId;

    @ExcelCell(index=7)
    private String invoiceDate;

    @ExcelCell(index=5)
    private String invoiceCode;

    @ExcelCell(index=8)
    private String invoiceNumber;

    @ExcelCell(index=9)
    private String sellerTaxNumber;

    @ExcelCell(index=3)
    private String invoiceTypeName;

    @ExcelCell(index=4)
    private String amount;

    @ExcelCell(index=1)
    private String taxAmount;

    @ExcelCell(index=2)
    private String certificationDate;

    public int getPeriodId() {
        return periodId;
    }

    public void setPeriodId(int periodId) {
        this.periodId = periodId;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public String getSellerTaxNumber() {
        return sellerTaxNumber;
    }

    public void setSellerTaxNumber(String sellerTaxNumber) {
        this.sellerTaxNumber = sellerTaxNumber;
    }

    public String getInvoiceTypeName() {
        return invoiceTypeName;
    }

    public void setInvoiceTypeName(String invoiceTypeName) {
        this.invoiceTypeName = invoiceTypeName;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getCertificationDate() {
        return certificationDate;
    }

    public void setCertificationDate(String certificationDate) {
        this.certificationDate = certificationDate;
    }

    @Override
    public String toString() {
        return "InputInvoice{" +
                "periodId=" + periodId +
                ", invoiceDate='" + invoiceDate + '\'' +
                ", invoiceCode='" + invoiceCode + '\'' +
                ", invoiceNumber='" + invoiceNumber + '\'' +
                ", sellerTaxNumber='" + sellerTaxNumber + '\'' +
                ", invoiceTypeName='" + invoiceTypeName + '\'' +
                ", amount='" + amount + '\'' +
                ", taxAmount='" + taxAmount + '\'' +
                ", certificationDate='" + certificationDate + '\'' +
                '}';
    }
}